OCF_HEARTBEAT_EVMSSC(7)

NAME
ocf_heartbeat_EvmsSCC - Manages EVMS Shared Cluster Containers (SCCs) (deprecated)

SYNOPSIS

EvmsSCC [start | stop | status | monitor | meta-data]

DESCRIPTION

Deprecation warning: EVMS is no longer actively maintained and should not be used. This agent is deprecated and may be removed from a future release. -- Resource script for EVMS shared cluster container. It runs evms_activate on one node in the cluster.

SUPPORTED PARAMETERS

ignore_deprecation
    If set to true, suppresses the deprecation warning for this agent.

    (optional, boolean, default false)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 60s.

stop
    Stops the resource. Suggested minimum timeout: 60s.

notify
    Suggested minimum timeout: 60s.

status
    Performs a status check. Suggested minimum timeout: 10s. Suggested interval: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 10s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a EvmsSCC resource using the crm(8) shell:

    primitive p_EvmsSCC ocf:heartbeat:EvmsSCC \
      op monitor depth="0" timeout="10s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a EvmsSCC resource using pcs(8)

    pcs resource create p_EvmsSCC ocf:heartbeat:EvmsSCC \
      op monitor OCF_CHECK_LEVEL="0" timeout="10s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)